package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.BusinessTrip;

/**
 * 出差记录信息Mapper接口
 * 
 * @author ruoyi
 * @date 2025-06-23
 */
public interface BusinessTripMapper 
{
    /**
     * 查询出差记录信息
     * 
     * @param id 出差记录信息主键
     * @return 出差记录信息
     */
    public BusinessTrip selectBusinessTripById(Long id);

    /**
     * 查询出差记录信息列表
     * 
     * @param businessTrip 出差记录信息
     * @return 出差记录信息集合
     */
    public List<BusinessTrip> selectBusinessTripList(BusinessTrip businessTrip);

    /**
     * 新增出差记录信息
     * 
     * @param businessTrip 出差记录信息
     * @return 结果
     */
    public int insertBusinessTrip(BusinessTrip businessTrip);

    /**
     * 修改出差记录信息
     * 
     * @param businessTrip 出差记录信息
     * @return 结果
     */
    public int updateBusinessTrip(BusinessTrip businessTrip);

    /**
     * 删除出差记录信息
     * 
     * @param id 出差记录信息主键
     * @return 结果
     */
    public int deleteBusinessTripById(Long id);

    /**
     * 批量删除出差记录信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusinessTripByIds(Long[] ids);

    List<BusinessTrip> selectBusinessTripListLb(BusinessTrip businessTrip);
}
